<?php
$message = (isset($_SESSION['message'])) ? $_SESSION['message'] :"";
$action = (isset($_REQUEST['action'])) ? $_REQUEST['action'] : "insert";

$where 	= " WHERE 1=1 ";


$query_string = "";

$button_value 	= "Add";
$table_name		= "documents";

$next_page_condition 	= "";

if($_REQUEST['hide_top']){
	$next_page_condition.="&hide_top=1";
}
if($_REQUEST['hide_left']){
	$next_page_condition.="&hide_left=1";
}
if($_REQUEST['job_id']){
	$job_id = $_REQUEST['job_id'];
	$where 	.= " AND job_id = $job_id ";
	$next_page_condition.="&job_id=".$job_id;
}

if(isset($_REQUEST['source'])){
	$source = $_REQUEST['source'];
	$next_page_condition.="&source=$source";
}


$paging ="";
if($_REQUEST['start']){
	$paging .="&start=".$_REQUEST['start'];
	//$next_page_condition.="&start=$start";
}
$query_string =  (isset($_POST['query_string'])) ? $_POST['query_string'] : $_SERVER['QUERY_STRING'];
################################################## START EDIT ##################################################
if(isset($_REQUEST['action']) && $_REQUEST['action'] == 'edit'){
	$query_string =  (isset($_POST['query_string'])) ? $_POST['query_string'] : $_SERVER['QUERY_STRING'];
	
	$action 	= "update";
	$button_value 	= "Update";
	$page_name		= "Edit Documents";	
		
    $id = $_REQUEST['id'];
    $sql= "SELECT * FROM $table_name WHERE id = $id";
    $result_edit = mysqli_query($conn,$sql);
    $row_edit = mysqli_fetch_array($result_edit);

    $id= $row_edit['id'];
    $job_id= $row_edit['job_id'];
    $admin_id= explode(",",$row_edit['admin_id']);
	$document_name 	= $row_edit['document_name'];
	$document_text= $row_edit['document_text'];
	$document_date= $row_edit['document_date']; 
	$document_type= $row_edit['document_type']; 
}
################################################# END EDIT ################################################# 


################################################## START update ################################################## 
if(isset($_REQUEST['action']) && $_REQUEST['action'] == 'update'){    
	utility::addslashesOnAllInput(array("query_string"));
	$id= $_REQUEST['id'];
    $job_id= $_REQUEST['job_id'];
    $admin_id= $_SESSION['user_id'];
    $document_text= $_REQUEST['document_text'];
	$document_date	 = utility::setFormatedDate($_REQUEST['document_date']);
	$document_type	= $_REQUEST['document_type'];
	
	$hidden_document_name 			= $_REQUEST['hidden_document_name'];
	if(isset($_FILES['document_name']['name']) && $_FILES['document_name']['name'] !=""){
		$path = $_FILES['document_name']['name'];
		$ext = pathinfo($path, PATHINFO_EXTENSION);
		if($ext == "jpg" || $ext == "jpeg" || $ext == "png" || $ext == "pdf" || $ext == "doc" || $ext == "docx" || $ext == "xls" || $ext == "xlsx"){
			$digits = 5;
			$random_number = rand(pow(10, $digits-1), pow(10, $digits)-1);
			$uploaddir = '../document/';
			$old_document	=	$uploaddir.$hidden_document_name;	
			if(file_exists($old_document)){
				unlink($old_document);
			}
			$document_name_array = explode(".",$_FILES['document_name']['name']);
			$document_name = $id."_".$document_name_array[0]."_".$random_number.".".$document_name_array[1];
			$uploadfile = $uploaddir . $document_name;
			move_uploaded_file($_FILES['document_name']['tmp_name'], $uploadfile);
			
			$tmp = ucfirst(str_replace("_"," ", $table_name));
			$_SESSION['message']	= ucfirst("Document updated sucessfully");
		}else{
			$document_name = $hidden_document_name;
			$_SESSION['message'] = "Please upload only png/jpg/pdf or docx document";
		}
    }else{
		$document_name = $hidden_document_name;
	}

    $sql= "UPDATE documents SET job_id = '$job_id', document_name = '$document_name',admin_id = '$admin_id',document_text = '$document_text',document_date = '$document_date',document_type = '$document_type' WHERE id = $id";
    mysqli_query($conn,$sql);
	
	$query_string = (isset($_REQUEST['query_string']) && !empty($_REQUEST['query_string'])) ? $_REQUEST['query_string'] : "";
  	$query_string = str_ireplace(array("page=add","action=edit"), array("page=list",""), $query_string);
	$query_string = "&".$query_string;
	
	$redirect = "index?page=view$query_string";
	header("Location: $redirect");
	exit();
	
}
################################################# END update ################################################# 
//$custome_limit = 2;
###########################################  PAGING WITH PER PAGE  #####################################
$file_name		= "index"; // this is file name which is used during paging  , included at the bottom of the page
$paging_table_name	= $table_name;
$paging_query		= $where;
$join_query_for_paging = "SELECT * FROM $table_name  $where ";
$page_header = "Documents Management ";
include("paging/paging_query.inc.php");
############################################ END PAGING WITH PER PAGE  #######################################

	
    
################################################## START INSERT ##################################################
if(isset($_REQUEST['action']) && $_REQUEST['action'] == 'insert'){	    
	utility::addslashesOnAllInput(array("query_string"));
    $job_id = $_REQUEST['job_id'];	
    $admin_id = $_SESSION['user_id'];
	$document_text = $_REQUEST['document_text'];
	//$document_date	= utility::setFormatedDate($_REQUEST['document_date']);
	$document_date	= date("Y-m-d");;
	$document_type	= $_REQUEST['document_type'];
	$source	 = $_REQUEST['source'];
	$created_on = date("Y-m-d");
		
	if(isset($_FILES['document_name']['name']) && $_FILES['document_name']['name'] !=""){
		$path = $_FILES['document_name']['name'];
		$ext = pathinfo($path, PATHINFO_EXTENSION);
		if($ext == "jpg" || $ext == "jpeg" || $ext == "png" || $ext == "pdf" || $ext == "doc" || $ext == "docx" || $ext == "xls" || $ext == "xlsx"){
			$sql= "INSERT INTO $table_name (job_id,admin_id,document_text,document_date,document_type,source,updated_by,created_on) VALUES('$job_id','$admin_id','$document_text','$document_date','$document_type','$source','".$_SESSION['user_id']."','$created_on')";
			mysqli_query($conn,$sql);
			$document_id = mysqli_insert_id($conn);
	
			$digits = 5;
			$random_number = rand(pow(10, $digits-1), pow(10, $digits)-1);
			$uploaddir = '../document/';
			$document_name_array = explode(".",$_FILES['document_name']['name']);
			$document_name = $document_id."_".$document_name_array[0]."_".$random_number.".".$document_name_array[1];
			$uploadfile = $uploaddir . $document_name;
			move_uploaded_file($_FILES['document_name']['tmp_name'], $uploadfile);
			$sql= "UPDATE $table_name SET document_name = '$document_name' WHERE id = $document_id ";
			mysqli_query($conn,$sql);
			
			$tmp = ucfirst(str_replace("_"," ", $table_name));
			$_SESSION['message']	= ucfirst("Document added sucessfully");
		}else{
			$_SESSION['message'] = "Please upload only png/jpg/pdf or docx document";
		}
    }
	
	$query_string = (isset($_REQUEST['query_string']) && !empty($_REQUEST['query_string'])) ? $_REQUEST['query_string'] : "";
  	$query_string = str_ireplace("page=add", "page=view", $query_string);
	$query_string = "&".$query_string;
	
	$redirect = "index?page=view&name=$name$query_string";
	header("Location: $redirect");
	exit();
}
################################################# END INSERT #################################################


if($_REQUEST['job_id_search']){
	$job_id_search = $_REQUEST['job_id_search'];
	$where 	.= " AND job_id ='$job_id_search' ";
	$next_page_condition.="&job_id_search=".$_REQUEST['job_id_search'];
}

if($_REQUEST['admin_id_search']){
	$admin_id_search = $_REQUEST['admin_id_search'];
	$where 	.= " AND admin_id ='$admin_id_search' ";
	$next_page_condition.="&admin_id_search=".$_REQUEST['admin_id_search'];
}
$from_document_date = isset($_REQUEST['from_document_date']) ? utility::setFormatedDate($_REQUEST['from_document_date']) : "";
$to_document_date = isset($_REQUEST['to_document_date']) ? utility::setFormatedDate($_REQUEST['to_document_date']) : "";
if($from_document_date && $to_document_date){
	$where .= " AND document_date BETWEEN '$from_document_date 00:00:00' and '$to_document_date 23:59:59' ";
    $next_page_condition.="&from_document_date=".$_REQUEST['from_document_date']."&to_document_date=".$_REQUEST['to_document_date']." ";
}else if($from_document_date){
	$where.= " AND document_date >= '$from_document_date' ";
	$next_page_condition.="&from_document_date=".$_REQUEST['from_document_date'];
}else if($to_document_date){
	$where.= " AND document_date <= '$to_document_date' ";
	$next_page_condition.="&to_document_date=".$_REQUEST['to_document_date'];
}

$query = "SELECT * FROM $table_name $where ORDER BY document_date DESC LIMIT $eu, $limit ";
$sql=mysqli_query($conn,$query);
$result=mysqli_num_rows($sql);

#################################   DELETE    #########################################
// when we click on delete this area of php documents will execute
if(isset($_REQUEST['action']) && $_REQUEST['action']=='delete'){
	$id	= $_REQUEST['id'];
	$document_name = utility::getTableFieldById("documents","document_name","id",$id);
	$dir	=	"../document/";
	if(file_exists($dir.$document_name)){ 
		unlink($dir.$document_name);
	}
	mysqli_query($conn,"DELETE FROM $table_name WHERE id = $id ");
	
	$query_string =  (isset($_POST['query_string'])) ? $_POST['query_string'] : $_SERVER['QUERY_STRING'];
	$query_string = str_ireplace(array("action=delete"), array(""), $query_string);
	$query_string = "&".$query_string;
	
	$_SESSION['message']	= ucfirst("Document deleted sucessfully");
	$redirect = "index?page=view";
	header("Location: $redirect$query_string");
	exit();
}
#################################  END DELETE    #########################################
?>

<section class="content-header hide">
  <h1>
	<? echo str_replace(array("_"),array(" "),$page_header); ?>
  </h1>		
</section>
<!----------------------- Message ------------------------------->
	<? if(isset($_SESSION['message'])){ ?>
	<section class="content-header">
	  <div class="alert alert-info alert-dismissable" style="margin-bottom:0px;">
		<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
		<? echo $_SESSION['message'];
			unset($_SESSION['message']);
		?>
	  </div>
	</section>
	<? } ?>
<!----------------------- End Message ------------------------------->
	<section class="content">
		<div class="row">
			<div class="col-xs-12">
				<div class="box">

				<div class="box-body">
				<div class="row" style="padding:0px 10px;">
					<?php include_once('add_documents.inc.php');?>
				</div>
				<!--<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" bgcolor="#CCCCCC">-->					
				<form action="?page=view&name=<?=$name?>" method="post" name="form1" id="form1">
				<? if($result>0){
				?>
					<!-- Start  records header -->
				<table id="example1" class="table table-bordered table-striped">
					<thead>
						<tr>
							<th>Client</th>
							<th>Description</th>
							<th>Name</th>
							<!--<th>Type</th>-->
							<!--<th>Consultant</th>
							<th>Document Date</th>-->
							<th>Edit</th>						
							<th>Delete</th>
						</tr>
					</thead>
					<tbody>
					<!-- End records header -->
					<?
					while($row = mysqli_fetch_array($sql)){
					?>
					<!-- Start data -->
					<tr>
						<td><?php echo $gsi->getEnqQuoteJobById($row['job_id']); ?></td>
						<td><?php echo $row['document_text']; ?></td>
						<td><?php echo $row['document_name']; ?>
							<!--<a href="../../document/<?php //echo $row['document_name']; ?>" target="_blank"><?php //echo $row['document_name']; ?></a>-->
							<a href="index?page=file_download&document_id=<?php echo $row['id']; ?>" target="_blank">
								<span style="cursor:pointer;" class="download_span">
									<i class="fa fa-fw fa-download"></i>
								</span>
							</a>
						</td>
						<!--<td><?php //echo Keycode::getkeycodeById($row['document_type']); ?></td>-->
						<!--<td><?php //echo Admin::getAdminsById($row['admin_id']); ?></td>
						<td><?php echo utility::getFormatedDateReturn($row['document_date']); ?></td>-->
						<td><a href="index?page=view&action=edit&id=<?=$row['id'].$next_page_condition.$paging;?>"> <img src="../images/edit.gif" border="0" /> </a></td>
						<td><a
							href="index?page=view&action=delete&id=<?=$row['id'].$next_page_condition.$paging; ?>"
							onclick=" javascript:return confirm('Are you sure! You want to delete');"><img
							src="../images/del.gif" border="0" /> </a></td>
					</tr>
					<!-- End data -->
					<? 
					}?>
					
					<?}else{?>
					<tr>
						<td colspan="6">No documents found...</td>
					</tr>
					<?php }?>
					</tbody>
					
				</table>
					<!-- Paging starts here  -->
					<? 
					$next_page_condition .="&page=view";
					include("paging/paging_row.inc.php") ?>
					<!-- Paging ends starts here  -->
						
					<!--</table>-->
					</form>
					</div>
				</div>
			</div>
		</div>
	</section>
		